SobreAppPresenter

com.uva.rafael.tfg_goniometer.presenter

## Class SobreAppPresenter

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.presenter.SobreAppPresenter

- All Implemented Interfaces:
    PresenterFunctions, PresenterFunctions.SobreAppFunctions

      public class SobreAppPresenter
      extends java.lang.Object
      implements PresenterFunctions, PresenterFunctions.SobreAppFunctions

  Este es el Presentador asociado al `Fragment` inicial de la aplicacion (`SobreAppFragment`). Se encarga de llevar a cabo toda la logica asociada a las acciones del usuario realizadas en la IU.

  En concreto, se encarga de realizar la "configuracion inicial" del `Fragment`, que, consiste en actualizar el item del `NavigationView` al quinto item del mismo, fijar la orientacion de la pantalla a "Portrait", para evitar que se pueda girar, fijar el `Toolbar` como `SupportActionBar`, y, a partir del icono principal de la aplicacion (imagen con formato rectangular), transformarlo en una imagen con un borde circular y enviarselo a la Vista (`SobreAppFragment`) para que se lo asigne al objeto `ImageView` que contiene el icono de la aplicacion.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `SobreAppFragment`, `MainModel`, `Bitmap`, `RoundedBitmapDrawable`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.uva.rafael.tfg_goniometer.interfaces.PresenterFunctions

      `PresenterFunctions.HomeFunctions, PresenterFunctions.MainFunctions, PresenterFunctions.MedicionFunctions, PresenterFunctions.NuevaMedicionFunctions, PresenterFunctions.NuevoPacienteFunctions, PresenterFunctions.PacientesFunctions, PresenterFunctions.PerfilPacienteFunctions, PresenterFunctions.SobreAppFunctions, PresenterFunctions.UltimasMedicionesFunctions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SobreAppPresenter(android.app.Fragment fragment, MainModel model)` Constructor principal de la clase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDestroy()` Perform any final cleanup before an activity is destroyed.
    `void` | `setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)` Metodo que realiza las operaciones iniciales cuando se crea el `Fragment SobreAppFragment`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SobreAppPresenter

          public SobreAppPresenter(android.app.Fragment fragment,
                                   MainModel model)

      Constructor principal de la clase
      Parameters:
        `fragment` - Fragmento (Vista) con la que mantiene una relacion 1-a-1.
        `model` - Modelo (unico) de la aplicacion.

  - ### Method Detail

    - #### setUpInitialSettings

          public void setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)

      Metodo que realiza las operaciones iniciales cuando se crea el `Fragment SobreAppFragment`.

      Se encarga de marcar el quinto item del `NavigationView` (correspondiente a `SobreAppFragment`), fijar la orientacion de la pantalla en "Portrait", utilizar el `Toolbar` recibido como `SupportActionBar`, y, a partir del icono principal de la aplicacion (imagen con formato rectangular), transformarlo en una imagen con un borde circular y enviarselo a la Vista (`SobreAppFragment`) para que se lo asigne al objeto `ImageView` que contiene el icono de la aplicacion, mediante el uso de la clase `RoundedBitmapDrawable`.

      Specified by:
        `setUpInitialSettings` in interface `PresenterFunctions.SobreAppFunctions`
      Parameters:
        `toolbar` - `Toolbar` a emplear como `SupportActionBar`

    - #### onDestroy

          public void onDestroy()

      Perform any final cleanup before an activity is destroyed.

      Se encarga de liberar la referencia al `Fragment` con el que esta asociado.

      Specified by:
        `onDestroy` in interface `PresenterFunctions`